diff options
author | Daniel Kahn Gillmor <dkg@fifthhorseman.net> | 2009-07-11 19:13:25 -0400 |
---|---|---|
committer | Daniel Kahn Gillmor <dkg@fifthhorseman.net> | 2009-07-11 19:13:25 -0400 |
commit | 028617f7160596fabfc5f9123a4cc9a6445aaa59 (patch) | |
tree | f6d89497c79cb4146d17282e45d8edd404dc3a80 /tests | |
parent | b9b3b0e547c2f8650838146c1f41b4b521fb7efc (diff) |
switching keyrtrans from Digest::SHA1 to Digest::SHA
Diffstat (limited to 'tests')
-rwxr-xr-x | tests/basic | 2 | ||||
-rwxr-xr-x | tests/keytrans | 13 |
2 files changed, 12 insertions, 3 deletions
diff --git a/tests/basic b/tests/basic index 5907154..3386f76 100755 --- a/tests/basic +++ b/tests/basic @@ -35,7 +35,7 @@ perl -MCrypt::OpenSSL::RSA -e 1 2>/dev/null || { echo "You must have the perl mo On debian-derived systems, you can set this up with: apt-get install libcrypt-openssl-rsa-perl" ; exit 1; } -perl -MDigest::SHA1 -e 1 2>/dev/null || { echo "You must have the perl module Digest::SHA1 installed to run this test. +perl -MDigest::SHA -e 1 2>/dev/null || { echo "You must have the perl module Digest::SHA installed to run this test. On debian-derived systems, you can set this up with: apt-get install libdigest-sha1-perl" ; exit 1; } diff --git a/tests/keytrans b/tests/keytrans index ab95f59..199db31 100755 --- a/tests/keytrans +++ b/tests/keytrans @@ -22,8 +22,14 @@ export TESTDIR=$(cd $(dirname "$0") && pwd) source "$TESTDIR"/common -## setup trap -trap failed_cleanup EXIT +perl -MCrypt::OpenSSL::RSA -e 1 2>/dev/null || { echo "You must have the perl module Crypt::OpenSSL::RSA installed to run this test. +On debian-derived systems, you can set this up with: + apt-get install libcrypt-openssl-rsa-perl" ; exit 1; } + +perl -MDigest::SHA -e 1 2>/dev/null || { echo "You must have the perl module Digest::SHA installed to run this test. +On debian-derived systems, you can set this up with: + apt-get install libdigest-sha1-perl" ; exit 1; } + ###################################################################### ### SETUP VARIABLES @@ -42,6 +48,9 @@ ln -s "$TESTDIR"/../src/share/keytrans "$TEMPDIR"/bin/pem2openpgp # This should help us test without installing. export PATH="$TEMPDIR"/bin:"$PATH" +## setup trap +trap failed_cleanup EXIT + ###################################################################### ### TEST KEYTRANS |